Crypto++ 8.6 Free C++ class library of cryptographic schemes

List of all members
RabbitPolicy Class Reference

Rabbit stream cipher implementation. More...

Inheritance diagram for RabbitPolicy:

## Additional Inherited Members
Public Types inherited from AdditiveCipherConcretePolicy< word32, 4 >
typedef word32 | WordType
| Word type for the cipher.
Public Member Functions inherited from AdditiveCipherConcretePolicy< word32, 4 >
unsigned int | GetAlignment () const
| Provides data alignment requirements. More...
unsigned int | GetBytesPerIteration () const
| Provides number of bytes operated upon during an iteration. More...
unsigned int | GetIterationsToBuffer () const
| Provides buffer size based on iterations. More...
bool | CanOperateKeystream () const
| Flag indicating. More...
Public Member Functions inherited from AdditiveCipherAbstractPolicy
virtual unsigned int | GetAlignment () const
| Provides data alignment requirements. More...
virtual unsigned int | GetBytesPerIteration () const =0
| Provides number of bytes operated upon during an iteration. More...
virtual unsigned int | GetOptimalBlockSize () const
| Provides number of ideal bytes to process. More...
virtual unsigned int | GetIterationsToBuffer () const =0
| Provides buffer size based on iterations. More...
virtual void | WriteKeystream (byte *keystream, size_t iterationCount)
| Generate the keystream. More...
virtual void | CipherResynchronize (byte *keystreamBuffer, const byte *iv, size_t length)
| Resynchronize the cipher. More...
virtual void | SeekToIteration (lword iterationCount)
| Seeks to a random position in the stream. More...
virtual std::string | AlgorithmProvider () const
| Retrieve the provider of this algorithm. More...
Static Public Member Functions inherited from RabbitInfo
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 16, SimpleKeyingInterface::NOT_RESYNCHRONIZABLE >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function. More...
Static Public Attributes inherited from AdditiveCipherConcretePolicy< word32, 4 >
static const int | BYTES_PER_ITERATION
| Number of bytes for an iteration. More...
Static Public Attributes inherited from FixedKeyLength< 16, SimpleKeyingInterface::NOT_RESYNCHRONIZABLE >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant. More...

## Detailed Description

Rabbit stream cipher implementation.

Since
  Crypto++ 8.0

Definition at line 43 of file rabbit.h.

The documentation for this class was generated from the following files:

- rabbit.h
- rabbit.cpp